This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 22:55
Elapsed6m51s
Revision
Builder9fb86304-73a2-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/b28a61da-a278-4459-b347-01c579836ff2/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/b28a61da-a278-4459-b347-01c579836ff2/targets/test
infra-commit02460ac89

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 22:55:23.721] process 29 exited with code 0 after 0.0m
I0331 22:55:23.721] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 22:55:23.721] Root: /workspace
I0331 22:55:23.721] cd to /workspace
I0331 22:55:23.721] Configure environment...
I0331 22:55:23.722] Call:  git show -s --format=format:%ct HEAD
W0331 22:55:23.726] fatal: not a git repository (or any of the parent directories): .git
I0331 22:55:23.728] process 42 exited with code 128 after 0.0m
W0331 22:55:23.728] Unable to print commit date for HEAD
I0331 22:55:23.728] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 22:55:24.287] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 22:55:25.186] process 43 exited with code 0 after 0.0m
I0331 22:55:25.187] Call:  gcloud config get-value account
I0331 22:55:26.125] process 56 exited with code 0 after 0.0m
I0331 22:55:26.125] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 22:55:26.126] Start 1245122461662449664 at ...
I0331 22:55:26.128] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_hCu2q3 gs://kubernetes-jenkins/logs/metrics-kettle/1245122461662449664/started.json
I0331 22:55:29.582] process 69 exited with code 0 after 0.1m
I0331 22:55:29.583] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0331 22:55:29.621] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0331 23:02:04.087] ERROR: table k8s-gubernator:build.all is 15.9 hours old. Max allowed: 6 hours.
I0331 23:02:04.088] ERROR: table k8s-gubernator:build.week is 16.2 hours old. Max allowed: 6 hours.
I0331 23:02:04.088] ERROR: table k8s-gubernator:build.day is 15.7 hours old. Max allowed: 6 hours.
I0331 23:02:04.088] Collected data:
I0331 23:02:04.088] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0331 23:02:04.089] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0331 23:02:04.089] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0331 23:02:04.089] 
W0331 23:02:04.189] Traceback (most recent call last):
... skipping 22 lines ...
W0331 23:02:04.193]     self.send(msg)
W0331 23:02:04.193]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 23:02:04.193]     self.connect()
W0331 23:02:04.193]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 23:02:04.193]     conn = self._new_conn()
W0331 23:02:04.194]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 23:02:04.194]     self, "Failed to establish a new connection: %s" % e
W0331 23:02:04.194] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f1afe043358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 23:02:04.194] 
W0331 23:02:04.194] During handling of the above exception, another exception occurred:
W0331 23:02:04.194] 
W0331 23:02:04.194] Traceback (most recent call last):
W0331 23:02:04.195]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 23:02:04.195]     timeout=timeout
W0331 23:02:04.195]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 23:02:04.195]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 23:02:04.195]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 23:02:04.195]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 23:02:04.196] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f1afe043358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 23:02:04.196] 
W0331 23:02:04.196] During handling of the above exception, another exception occurred:
W0331 23:02:04.196] 
W0331 23:02:04.196] Traceback (most recent call last):
W0331 23:02:04.197]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 23:02:04.197]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 23:02:04.199]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 23:02:04.199]     resp = self.send(prep, **send_kwargs)
W0331 23:02:04.199]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 23:02:04.199]     r = adapter.send(request, **kwargs)
W0331 23:02:04.199]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 23:02:04.200]     raise ConnectionError(e, request=request)
W0331 23:02:04.200] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f1afe043358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 23:02:04.208] Traceback (most recent call last):
W0331 23:02:04.209]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 23:02:04.209]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 23:02:04.209]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 23:02:04.209]     check(*cmd)
W0331 23:02:04.209]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 23:02:04.209]     subprocess.check_call(cmd)
W0331 23:02:04.210]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 23:02:04.210]     raise CalledProcessError(retcode, cmd)
W0331 23:02:04.210] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 23:02:04.221] Command failed
I0331 23:02:04.221] process 251 exited with code 1 after 6.6m
E0331 23:02:04.221] FAIL: metrics-kettle
I0331 23:02:04.222] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 23:02:04.835] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 23:02:05.479] process 255 exited with code 0 after 0.0m
I0331 23:02:05.479] Call:  gcloud config get-value account
I0331 23:02:06.444] process 267 exited with code 0 after 0.0m
I0331 23:02:06.445] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 23:02:06.445] Upload result and artifacts...
I0331 23:02:06.445] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245122461662449664
W0331 23:02:06.445] Missing local artifacts : /workspace/_artifacts
W0331 23:02:06.446] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 23:02:06.446] metadata not found or invalid, init with empty metadata
I0331 23:02:06.446] Call:  git rev-parse HEAD
W0331 23:02:06.454] fatal: not a git repository (or any of the parent directories): .git
E0331 23:02:06.454] Command failed
I0331 23:02:06.454] process 280 exited with code 128 after 0.0m
I0331 23:02:06.455] Call:  git rev-parse HEAD
I0331 23:02:06.465] process 281 exited with code 0 after 0.0m
I0331 23:02:06.465] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 23:02:08.123] process 282 exited with code 0 after 0.0m
I0331 23:02:08.124] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585692091764560'
... skipping 8 lines ...